
package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—页面数据统计表DTO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public class ProductAnalyseUserDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long productAnalyseUserId;

    @Schema(description = "页面分析id")
    private Long productAnalyseId;

    @Schema(description = "uuid")
    private String uuid;

    @Schema(description = "创建日期")
    private Date createDate;

    @Schema(description = "商品id")
    private String spuId;

    @Schema(description = "访问")
    private Integer isVisit;

    @Schema(description = "页面点击")
    private Integer isClick;

    @Schema(description = "分享访问")
    private Integer isShareVisit;

    @Schema(description = "下单")
    private Integer isPlaceOrder;

    @Schema(description = "支付")
    private Integer isPay;

    @Schema(description = "加购")
    private Integer isPlusShopCart;

    public Long getProductAnalyseUserId() {
        return productAnalyseUserId;
    }

    public void setProductAnalyseUserId(Long productAnalyseUserId) {
        this.productAnalyseUserId = productAnalyseUserId;
    }

    public Long getProductAnalyseId() {
        return productAnalyseId;
    }

    public void setProductAnalyseId(Long productAnalyseId) {
        this.productAnalyseId = productAnalyseId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getSpuId() {
        return spuId;
    }

    public void setSpuId(String spuId) {
        this.spuId = spuId;
    }

    public Integer getIsVisit() {
        return isVisit;
    }

    public void setIsVisit(Integer isVisit) {
        this.isVisit = isVisit;
    }

    public Integer getIsClick() {
        return isClick;
    }

    public void setIsClick(Integer isClick) {
        this.isClick = isClick;
    }

    public Integer getIsShareVisit() {
        return isShareVisit;
    }

    public void setIsShareVisit(Integer isShareVisit) {
        this.isShareVisit = isShareVisit;
    }

    public Integer getIsPlaceOrder() {
        return isPlaceOrder;
    }

    public void setIsPlaceOrder(Integer isPlaceOrder) {
        this.isPlaceOrder = isPlaceOrder;
    }

    public Integer getIsPay() {
        return isPay;
    }

    public void setIsPay(Integer isPay) {
        this.isPay = isPay;
    }

    public Integer getIsPlusShopCart() {
        return isPlusShopCart;
    }

    public void setIsPlusShopCart(Integer isPlusShopCart) {
        this.isPlusShopCart = isPlusShopCart;
    }

    @Override
    public String toString() {
        return "ProductAnalyseUserDTO{" +
                "productAnalyseUserId=" + productAnalyseUserId +
                ",productAnalyseId=" + productAnalyseId +
                ",uuid=" + uuid +
                ",createDate=" + createDate +
                ",spuId=" + spuId +
                ",isVisit=" + isVisit +
                ",isClick=" + isClick +
                ",isShareVisit=" + isShareVisit +
                ",isPlaceOrder=" + isPlaceOrder +
                ",isPay=" + isPay +
                ",isPlusShopCart=" + isPlusShopCart +
                '}';
    }
}
